Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.properties.listeners
Interface ResourcePropertyListeners

All Known Subinterfaces:
  ResourcePropertyCollection

All Known Implementing Classes:
  SimpleResourcePropertyCollection

public interface ResourcePropertyListeners

ResourcePropertyListeners defines operations for WS-RP implementations that allow users to monitor activity on the document and subscribe to notifications about that activity. Because the concepts of validation and notifications are often used together, this interface also defines a set of operations for applying a schema and metadata restrictions to the WS-RP document.

Author:
  Dan Jemiolo (danj)
See Also:
  `ResourcePropertyCollection`

Method Summary
`void` | `addChangeApprover(PropertyChangeApprover approver)` Associates the given approver with the appropriate property.
`void` | `addChangeListener(PropertyChangeListener listener)` Associates the given listener with the appropriate property.
`void` | `addReadListener(PropertyReadListener listener)` Associates the given listener with the appropriate property.
`java.util.Iterator` | `getChangeApprovers(QName property)`
`java.util.Iterator` | `getChangeListeners(QName property)`
`java.util.Iterator` | `getReadListeners(QName property)`
`void` | `removeChangeApprover(PropertyChangeApprover approver)` Removes the assocation between the given approver and its property.
`void` | `removeChangeListener(PropertyChangeListener listener)` Removes the assocation between the given listener and its property.
`void` | `removeReadListener(PropertyReadListener listener)` Removes the assocation between the given listener and its property.

Method Detail

### addChangeApprover

    public void addChangeApprover(PropertyChangeApprover approver)

  Associates the given approver with the appropriate property. All approvers will be notified of pending changes to their property; if one of the approvers rejects the change (by throwing an exception), the change will not be completed. Each approver will continue to exist until it is removed with removeChangeApprover(PropertyChangeApprover).

  Parameters:
    `approver` - The approver that will be notified of all pending changes.
  See Also:
    `PropertyChangeApprover.getPropertyName()`, `removeChangeApprover(PropertyChangeApprover)`

### addChangeListener

    public void addChangeListener(PropertyChangeListener listener)

  Associates the given listener with the appropriate property. The listeners will be notified of completed changes to their property. Each listener will continue to exist until it is removed with removeChangeListener(PropertyChangeListener).

  Parameters:
    `listener` - The listener that will be notified of all completed changes.
  See Also:
    `PropertyChangeListener.getPropertyName()`, `removeChangeListener(PropertyChangeListener)`

### addReadListener

    public void addReadListener(PropertyReadListener listener)

  Associates the given listener with the appropriate property. The listeners will be notified of all pending read requests for a property, giving them the opportunity to reject the read or to modify the value of the property before it is returned to the caller. Each listener will continue to exist until it is removed with removeReadListener(PropertyReadListener).

  Parameters:
    `listener` - The listener that will be notified of all pending read requests.
  See Also:
    `PropertyReadListener.getPropertyName()`, `removeReadListener(PropertyReadListener)`

### getChangeApprovers

    public java.util.Iterator getChangeApprovers(QName property)

  Returns:
    An iterator for the collection of PropertyChangeApprovers. The approvers are not guaranteed to be in a particular order.

### getChangeListeners

    public java.util.Iterator getChangeListeners(QName property)

  Returns:
    An iterator for the collection of PropertyChangeListeners. The listeners are not guaranteed to be in a particular order.

### getReadListeners

    public java.util.Iterator getReadListeners(QName property)

  Returns:
    An iterator for the collection of PropertyReadListeners. The listeners are not guaranteed to be in a particular order.

### removeChangeApprover

    public void removeChangeApprover(PropertyChangeApprover approver)

  Removes the assocation between the given approver and its property. The approver will no longer be notified of pending changes.

  Parameters:
    `approver` -

### removeChangeListener

    public void removeChangeListener(PropertyChangeListener listener)

  Removes the assocation between the given listener and its property. The approver will no longer be notified of completed changes.

  Parameters:
    `listener` -

### removeReadListener

    public void removeReadListener(PropertyReadListener listener)

  Removes the assocation between the given listener and its property. The approver will no longer be notified of pending read requests.

  Parameters:
    `listener` -

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD